<template>
  <v-app >
    <v-navigation-drawer
      :mini-variant="miniVariant"
      :clipped="clipped"
      v-model="drawer"
      fixed
      dark
      app >
      <v-toolbar
        fixed
        dense
        app >
        <v-toolbar-title>{{ db.title }}</v-toolbar-title>
      </v-toolbar>

      <v-list class="mt-4 pt-4" >
        <template v-for="chapter in db.toc.chapters" >
          <v-list-group :key="chapter.id" >
            <v-list-tile
              slot="activator"
              :key="chapter.id"
              router
              exact >

              <v-list-tile-content >
                <v-list-tile-title v-text="chapter.title" />
              </v-list-tile-content>
            </v-list-tile>

            <v-list-tile
              v-for="section in chapter.sections"
              :key="section.id"
              :to="section.slug"
              class="ml-4" >
              <v-list-tile-content>
                <v-list-tile-title v-text="section.title" />
              </v-list-tile-content>
            </v-list-tile>

          </v-list-group>
        </template>
      </v-list>
    </v-navigation-drawer>
    <v-toolbar
      :clipped-left="clipped"
      fixed
      dense
      dark
      app >
      <v-toolbar-side-icon
        @click="drawer = !drawer" />
      <v-toolbar-title>{{ db.title }}</v-toolbar-title>
      <v-spacer />
      <v-select
        :items="tags"
        append-icon="filter_list"
        label="Filter"
        multiple />
      <v-text-field
        label="Search"
        append-icon="search" />
    </v-toolbar>
    <v-content>
      <v-container>
        <nuxt />
      </v-container>
    </v-content>
    <v-footer
      :fixed="fixed"
      app >
      <span>&copy; 2017</span>
    </v-footer>
  </v-app>
</template>

<script>
import DB from '@/components/database'
export default {
  data() {
    return {
      db: DB,
      clipped: false,
      drawer: true,
      fixed: false,
      tags: ['foo', 'bar', 'baz', 'bus'],
      items: [
        { icon: 'apps', title: 'Welcome', to: '/' },
        { icon: 'bubble_chart', title: 'Inspire', to: '/inspire' }
      ],
      miniVariant: false,
      right: true,
      rightDrawer: false,
      title: 'Vuetify.js'
    }
  }
}
</script>
